diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 6e60d44..8f4f32d 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -53557,9 +53557,10 @@ LinearDependence(S, R): Exports == Implementation where
         zero? c => new(#v, 0)
         empty? v => "failed"
         sys := reducedSystem(transpose v, new(1, c))
-        particularSolution(map(#1::Q, sys.mat)$MatrixCategoryFunctions2(S,
+        particularSolution(map((z:S):Q+->z::Q, sys.mat)_
+          $MatrixCategoryFunctions2(S,
                Vector S,Vector S,Matrix S,Q,Vector Q,Vector Q,Matrix Q),
-                  map(#1::Q, sys.vec)$VectorFunctions2(S, Q)
+                  map((z1:S):Q+->z1::Q, sys.vec)$VectorFunctions2(S, Q)
                                     )$LinearSystemMatrixPackage(Q,
                                            Vector Q, Vector Q, Matrix Q)
 
diff --git a/changelog b/changelog
index 793b41a..3d7f3f2 100644
--- a/changelog
+++ b/changelog
@@ -1,9 +1,12 @@
+20090605 tpd src/axiom-website/patches.html 20090605.06.tpd.patch
+20090605 tpd books/bookvol10.4 LINDEP +-> conversion
 20090605 tpd src/axiom-website/patches.html 20090605.05.tpd.patch
 20090605 tpd src/input/ffdemo.input fix steps 27, 57 due to divisors change
 20090605 tpd src/axiom-website/patches.html 20090605.04.tpd.patch
 20090605 tpd books/bookvol10.4 IRRF2F +-> conversion
 20090605 tpd src/axiom-website/patches.html 20090605.03.tpd.patch
 20090605 tpd books/bookvol10.4 INTHEORY +-> conversion
+20090605 tpd books/bookvol10.4 INTHEORY fix divisors regression
 20090605 tpd src/axiom-website/patches.html 20090605.02.tpd.patch
 20090605 tpd books/bookvol10.4 ITRIGMNP +-> conversion
 20090605 tpd src/axiom-website/patches.html 20090605.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d985cd1..343384e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1461,5 +1461,7 @@ bookvol10.4 INTHEORY +-> conversion<br/>
 bookvol10.4 IRRF2F +-> conversion<br/>
 <a href="patches/20090605.05.tpd.patch">20090605.05.tpd.patch</a>
 src/input/ffdemo.input fix steps 27, 57 due to divisors change<br/>
+<a href="patches/20090605.06.tpd.patch">20090605.06.tpd.patch</a>
+bookvol10.4 LINDEP +-> conversion<br/>
  </body>
 </html>
